.cloud_greeting {
  position: absolute;
  display: block;
  width: 100%;
  text-align: center;
  font-size: 2em;
  color: #505057;
  margin-top: -100px;
}

#app-navigator {
  position: absolute;
  width: 1120px;
  top: 50%;
  left: 50%;
  transform: translate(-435px, -50%);
}

.app-icon {
  position: relative;
  float: left;
  width: 160px;
  height: 225px;
  margin: 0 60px;
}

.app-icon img {
  width: 160px;
  height: 160px;
  border-radius: 40px;
  box-shadow: 0 0 50px 5px #919197;
}

.app-icon :hover img {
  -webkit-transform: scale(1.05);
  -moz-transform: scale(1.05);
  -ms-transform: scale(1.05);
  -o-transform: scale(1.05);
  transform: scale(1.05);
}

.app-icon :active img {
  -webkit-transform: scale(0.95);
  -moz-transform: scale(0.95);
  -ms-transform: scale(0.95);
  -o-transform: scale(0.95);
  transform: scale(0.95);
}

.app-icon-name {
  text-align: center;
  margin: 10px 0 0 0;
  font-size: 1.5rem;
  color: #505057;
}

#switch_union {
  margin-left: -5px;
}

.user_profile label {
  vertical-align: top;
  display: inline-block;
  width: 225px;
}

.profile_ext {
  width: 230px !important;
}

.extended-profile {
  cursor: pointer;
}

#extended_profile input,
#extended_profile select {
  width: 300px;
  max-width: 300px;
}

#extended_profile input:disabled {
  margin-left: -1px !important;
}

.select2-selection--single,
.select2-selection--multiple {
  border: 1px solid #505057 !important;
  outline: none;
}

.select2-container {
  width: 318px !important;
}

.select2-search {
  display: none;
}

.select2-container .select2-selection--multiple {
  height: auto !important;
  margin: 0;
  padding: 0;
  line-height: inherit;
  border-radius: 0;
}
.select2-container .select2-search--inline .select2-search__field {
  margin: 0;
  padding: 0;
  min-height: 0;
}
.select2-container .select2-search--inline {
  line-height: inherit;
}

.select2-container .select2-selection--multiple {
  height: auto;
}

.select2-container--default
  .select2-selection--multiple
  .select2-selection__choice {
  border-radius: 2px !important;
  margin: 5px 5px 0 0 !important;
}

.select2-results__option {
  color: #505057 !important;
}

.select2-results .select2-highlighted {
  background: #f00 !important;
  color: #fff !important;
}

.select2-container--default
  .select2-results__option--highlighted[aria-selected] {
  background-color: #fff !important;
  color: #505057 !important;
  background-color: #cecece !important;
}

.select2-container--default .select2-results__option[aria-selected="true"] {
  background-color: #d19800 !important;
  color: #fff !important;
}

.user_profile_detail {
  display: inline-block;
  padding-left: 7px;
}

/* #extended_profile fieldset,
#extended_profile label {
  height: 35px !important;
}
 */

#extended_profile input:not([disabled]) {
  margin-top: -5px !important;
  margin-left: -1px !important;
}

.fieldset_a {
  height: 35px !important;
}

.fieldset_b {
  height: 38px !important;
}

.user_profile .basis {
  color: #ad8a56;
}

.user_profile .standard {
  color: #d7d7d7;
}

.user_profile .pro {
  color: #af9500;
}

div#rmw_representative {
  margin-top: 35px;
  margin-bottom: 65px;
}

div#rmw_representative img {
  display: inline-block;
  border-radius: 10px;
}

div#rmw_representative fieldset {
  margin: 5px 0;
}

div#rmw_representative label {
  display: inline-block;
  width: 80px;
}

.representative_detail {
  display: inline-block;
  width: 300px;
}

div#grid3 {
  margin-top: 20px !important;
}

div#release-notes {
  position: absolute;
  width: -webkit-calc(100% - 250px);
  width: -moz-calc(100% - 250px);
  width: calc(100% - 250px);
  bottom: 20px;
  font-size: 0.8em;
  text-align: center;
}

div#release-notes a,
div#release-notes a:visited {
  color: #8c8c93;
}

.release-notes-mobile {
  display: none;
}

.cloud_news_entry {
  display: none;
}

@media (max-width: 1500px) {
  #app-navigator {
    position: absolute;
    width: 900px;
    transform: translate(-315px, -50%);
  }

  .app-icon {
    margin: 30px 30px;
  }
}

@media (max-width: 1200px) {
  .cloud_greeting {
    width: -webkit-calc(100% + 120px);
    width: -moz-calc(100% + 120px);
    width: calc(100% + 120px);
    margin-left: -60px;
    font-size: 1.8em;
    margin-top: -80px;
  }

  #app-navigator {
    width: 560px;
    transform: translate(-160px, -50%);
  }

  .app-icon {
    margin: 30px 60px;
  }

  div#grid3 {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: auto auto;
    grid-template-columns: auto auto;
    grid-template-rows: auto auto;
    grid-template-areas:
      "cell-1 cell-2"
      "cell-3 cell-4"
      "cell-5 cell-6"
      "cell-7";
  }
}

@media (max-width: 1100px) {
  div#grid3 {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr;
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    grid-template-areas:
      "cell-1"
      "cell-2"
      "cell-3"
      "cell-4"
      "cell-5"
      "cell-6"
      "cell-7";
  }
}

@media (max-width: 950px) {
  .cloud_greeting {
    width: -webkit-calc(100% + 60px);
    width: -moz-calc(100% + 60px);
    width: calc(100% + 60px);
    margin-left: -30px;
    font-size: 1.5em;
  }

  #app-navigator {
    width: 490px;
    transform: translate(-115px, -50%);
  }

  .app-icon {
    margin: 20px 40px;
  }

  .app-icon-name {
    font-size: 1.4rem;
  }

  .user_profile label {
    width: 100%;
  }

  .user_profile_detail {
    width: 100%;
    margin-bottom: 10px;
    padding-left: 0px !important;
  }

  .user_profile label {
    margin-bottom: 5px;
  }

  #switch_union,
  #profile_salutation,
  #profile_degree,
  #profile_languages,
  #profile_tel,
  #profile_fax,
  #profile_mobile,
  #profile_position,
  #profile_department,
  #profile_product-categories,
  #profile_address1,
  #profile_address2,
  #profile_address3 {
    width: 100%;
  }

  .fix_profile_address1 {
    padding-bottom: 10px !important;
  }

  .fix_profile_address2 {
    margin-top: -15px !important;
  }

  .profile_ext {
    width: 100% !important;
  }

  .fieldset_a,
  .fieldset_b {
    margin-bottom: 15px !important;
  }

  .fieldset_b {
    padding-bottom: 10px !important;
    margin-top: 25px !important;
  }

  .select2-selection--single[aria-disabled="false"] {
    padding-left: 5px !important;
  }

  .select2-container--default
    .select2-selection--multiple
    .select2-selection__rendered {
    padding-left: 5px !important;
  }
}

@media (max-width: 850px) {
  .cloud_greeting {
    width: -webkit-calc(100% + 10px);
    width: -moz-calc(100% + 10px);
    width: calc(100% + 20px);
    margin-left: -10px;
    font-size: 1.4em;
  }
}

@media (max-width: 768px) {
  .cloud_greeting {
    width: -webkit-calc(100% + 10px);
    width: -moz-calc(100% + 10px);
    width: calc(100% + 20px);
    margin-left: -10px;
    margin-top: -100px;
    font-size: 1.5em !important;
  }

  .cloud_salutation {
    display: block;
  }

  #app-navigator {
    width: 320px;
    top: 180px;
    transform: translate(-160px, 0);
  }

  .app-icon {
    width: 120px;
    height: 175px;
    margin: 0 20px;
  }

  .app-icon img {
    width: 120px;
    height: 120px;
    border-radius: 30px;
    box-shadow: 0 0 30px 3px #919197;
  }

  .app-icon-name {
    margin: 0;
    font-size: 1.2rem;
  }

  div#rmw_representative label {
    width: 100%;
  }

  .representative_detail {
    width: 100%;
    margin-bottom: 10px;
  }

  div#grid3 p {
    margin-bottom: 15px;
  }

  div#release-notes {
    display: none;
  }

  .release-notes-mobile {
    display: inline-block;
  }
}
